import request from '@/utils/request'

// 查询刑事诉讼信息列表
export function listInformation(query) {
    return request({
        url: '/crmCriminalLitigationInformation/findByPage',
        method: 'get',
        params: query
    })
}

// 查询刑事诉讼信息详细
export function getInformation(id) {
    return request({
        url: '/crmCriminalLitigationInformation/' + id,
        method: 'get'
    })
}

// 新增刑事诉讼信息
export function addInformation(data) {
    return request({
        url: '/crmCriminalLitigationInformation',
        method: 'post',
        data: data
    })
}

// 修改刑事诉讼信息
export function updateInformation(data) {
    return request({
        url: '/crmCriminalLitigationInformation',
        method: 'put',
        data: data
    })
}

// 删除刑事诉讼信息
export function delInformation(id) {
    return request({
        url: '/crmCriminalLitigationInformation/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delInformationBatch(ids) {
    console.log(ids);
    return request.post('/crmCriminalLitigationInformation/delete',ids)
}